Project HermesHermes Docs

Buy Domain

Purchase a new domain for email sending

Buy Domain

Purchases a new domain through an integrated provider (e.g., Namecheap) and adds it to your account.

Request

  • domain (string) (required) — The domain to purchase (e.g., my-outreach.com)

  • provider (string) (default: namecheap) — Domain registrar to use

curl -X POST https://api.hermes.camie.ai/v1/domains \
  -H "Authorization: Bearer hermes_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "domain": "my-outreach.com"
  }'
const res = await fetch('https://api.hermes.camie.ai/v1/domains', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer hermes_your_api_key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({ domain: 'my-outreach.com' })
});

Response (201 Created)

{
  "success": true,
  "data": {
    "id": 15,
    "domain": "my-outreach.com",
    "provider": "namecheap",
    "isActive": true,
    "purchasedAt": "2026-03-14T15:30:00.000Z",
    "expiresAt": "2027-03-14T15:30:00.000Z"
  }
}

💡 Tip: After purchasing, you can use this domain to create a cluster or manage its DNS records.

On this page